Imports System.IO

Namespace PCSolution
    ''' <summary>
    ''' Třída pro dékódování souborů z UTF-8 do CP1250. V případě potřeby přidělat i jiné kódování.
    ''' </summary>
    ''' 
    Public Class DecodeFile

        ''' <summary>
        ''' Dekóduje soubor z kódování UTF-8 do CP1250
        ''' </summary>
        ''' <param name="FileName">Cesta k souboru</param>
        ''' 
        Sub DecodeFile(ByVal FileName As String)

            Dim FS As FileStream
            Dim BR As BinaryReader

            FS = New FileStream(FileName, FileMode.Open)
            BR = New BinaryReader(FS)

            'Ulozit vsechny Byty ze souboru do pole b()

            Dim b(FS.Length) As Byte
            Dim i As Integer = 0

            Do
                Try
                    b(i) = BR.ReadByte
                    i += 1
                Catch
                    Exit Do
                End Try
            Loop

            BR.Close() : FS.Close()

            Dim sA() As Byte

            'Konvert pole do noveho kodovani

            sA = Encoding.Convert(Encoding.UTF8, Encoding.GetEncoding(1250), b)

            'Ulozit novy soubor

            FS = New FileStream(FileName, FileMode.Create)
            Dim BW As BinaryWriter
            BW = New BinaryWriter(FS)

            BW.Write(sA)

            BW.Close()
            FS.Close()


        End Sub

    End Class

End Namespace